services:
  openwakeword:
    command:
    - python3
    - -u
    - detect.py
    - -c
    - /config/config.yaml
    container_name: openwakeword
    environment:
      GPG_KEY: '***SENSITIVE_VALUE*** (A035...)'
      LANG: C.UTF-8
      PATH: /usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
      PYTHON_GET_PIP_SHA256: 394be00f13fa1b9aaa47e911bdb59a09c3b2986472130f30aa0bfaf7f3980637
      PYTHON_GET_PIP_URL: https://github.com/pypa/get-pip/raw/d5cb0afaf23b8520f1bbcfed521017b4a95f5c01/public/get-pip.py
      PYTHON_PIP_VERSION: 23.0.1
      PYTHON_SETUPTOOLS_VERSION: 65.5.1
      PYTHON_VERSION: 3.10.11
    image: dalehumby/openwakeword-rhasspy
    networks:
    - host
    restart: unless-stopped
    working_dir: /app
